[![](https://img.shields.io/badge/-myWebsite-blue)](https://web.corn323.com) ![npm version](https://img.shields.io/badge/npm%20version-1.2.0-blue)

* [English README](#English-README)
* [中文 README](#中文版README)
* [日本語 README](#日本語-README)


# English README
---
# Attendence System
#### Here's a simple system that can assist with roll-calls on Discord for meetings.

## Introduction
This attendance system is developed based on discord.js@13.3.1 and can be run on discord.js@13.12.3. It is used for roll-calls during Discord meetings.
## How to Use
To use the attendance system, you need to install discord.js on your Discord server and place the code of this system in your file. You need to create a Bot on the Discord Developer Portal first and get the TOKEN of the bot in the Bot Center, as well as create the required channels and roles in your server.

You can use the following code to use the attendance system:
```javascript
const { Client } = require('discord.js');
const SignSystem = require('./signSystem');

const client = new Client();
client.on('ready', () => {
  console.log(`Logged in as ${client.user.tag}!`);
  const channels = {
    meetingID: '414639227213709313', // The ID of the meeting text channel
    voiceMeetingID: '467589730733785098', // The ID of the meeting voice channel
  };
  const options = {
    path: 'sign.json', // The path of the sign.json file
    formalMemberId: '123456789012345678', // The ID of the formal member role
    informalMemberId: '123456789012345678', // The ID of the informal member role
    adminMemberId: '123456789012345678', // The ID of the admin member role
    guildID: '292656013021282304', // The ID of the server
    signEmoji: ':white_check_mark:', // The emoji used for signing
  };
  const signSystem = new SignSystem(client, channels, options);
});
client.login('your-token-goes-here');
```


## Available Command
There is one command available in the system:

- /sign_check: Check the current attendance status

## Preparations
You need to create the following channels in your server:

1. Meeting voice channel
2. Meeting text channel

You also need to assign an ID to the following roles:

1. Formal member
2. Informal member
3. Admin member

## Note
If needed, you can use the [node-schedule](https://www.npmjs.com/package/node-schedule) package to assist with using the roll-call system.


# 中文版README
---

# 簽到系統
#### 此簽到系統基於discord.js@13.3.1開發，可在discord.js@13.12.3上正常運行，用於在Discord會議上進行簽到。


## 如何使用
#### 在你的Discord伺服器上安裝discord.js，並把此系統的程式碼放到你的檔案中。你需要先在Discord Developer Portal中建立好一個Bot，並在機器人中心中取得機器人的TOKEN，以及在你的伺服器中創建好所需要的頻道和角色。

### 你可以依照以下的程式碼來使用簽到系統：
```javascript
const { Client } = require('discord.js');
const SignSystem = require('./signSystem');

const client = new Client();
client.on('ready', () => {
  console.log(`Logged in as ${client.user.tag}!`);
  const channels = {
    meetingID: '414639227213709313', // 會議文字頻道的ID
    voiceMeetingID: '467589730733785098', // 會議語音頻道的ID
  };
  const options = {
    path: 'sign.json', // sign.json檔案的路徑
    formalMemberId: '123456789012345678', // 正式成員角色的ID
    informalMemberId: '123456789012345678', // 非正式成員角色的ID
    adminMemberId: '123456789012345678', // 管理員成員角色的ID
    guildID: '292656013021282304', // 伺服器的ID
    signEmoji: ':white_check_mark:', // 簽名所使用的表情符號
  };
  const signSystem = new SignSystem(client, channels, options);
});
client.login('your-token-goes-here');
```


## 本系統中有一個指令：

/sign_check : 檢查當前的簽到情況

## 提前準備的資訊
#### 需要在你的伺服器中創建以下的頻道：

1.會議語音頻道
2.會議文字頻道

#### 此外，你也需要為以下的角色指定一個ID：

1.正式成員
2.非正式成員
3.管理員成員

#### 備註
若有需要，可以使用 [node-schedule](https://www.npmjs.com/package/node-schedule) 這個套件來輔助使用的點名系統


# 日本語　README
---

# 簽到システム
#### Discordの会議で出席管理を行うためのシンプルなシステムです。discord.js@13.3.1の環境で開発され、discord.js@13.12.3でも動作できます。

## 使い方
#### Discordサーバーにdiscord.jsをインストールし、このシステムのコードをファイルに入れてください。Discord Developer Portalでボットを作成し、ボットのTOKENを取得し、必要なチャンネルとロールをサーバーで作成してください。

### 以下のコードを使用して出席管理システムを使うことができます。
```javascript
const { Client } = require('discord.js');
const SignSystem = require('./signSystem');

const client = new Client();
client.on('ready', () => {
  console.log(Logged in as ${client.user.tag}!);
  const channels = {
    meetingID: '414639227213709313', // 会議テキストチャンネルのID
    voiceMeetingID: '467589730733785098', // 会議ボイスチャンネルのID
  };
  const options = {
    path: 'sign.json', // sign.jsonファイルのパス
    formalMemberId: '123456789012345678', // 正式メンバーのロールID
    informalMemberId: '123456789012345678', // 非正式メンバーのロールID
    adminMemberId: '123456789012345678', // 管理者メンバーのロールID
    guildID: '292656013021282304', // サーバーのID
    signEmoji: ':white_check_mark:', // サインに使用される絵文字
  };
  const signSystem = new SignSystem(client, channels, options);
});
client.login('your-token-goes-here');
```


## システムには以下のコマンドが使えます：

/sign_check : 現在の出席状況をチェックします。

## 以下の事を準備しておいてください
#### 必要なチャンネル：

1.会議ボイスチャンネル
2.会議テキストチャンネル

#### 必要なロール：

1.正式メンバー
2.非正式メンバー
3.管理者メンバー

#### 注意事項
もし必要に応じて、[node-schedule](https://www.npmjs.com/package/node-schedule) パッケージを使用して出席システムを補助できます。


Email:contact@corn323.com
Discord:玉米#9093

Made By RSpirit and Corn323

